#
# spec file for package python-Arpeggio
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Arpeggio
Version:        1.9.2
Release:        bp155.2.12
Summary:        Packrat parser interpreter
License:        MIT
URL:            https://github.com/textX/Arpeggio/
Source:         https://github.com/textX/Arpeggio/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Arpeggio is a recursive descent parser with memoization based on PEG grammars
(aka Packrat parser).

For a higher level parsing/language tool (i.e., a nicer interface to
Arpeggio) see textX

%prep
%setup -q -n Arpeggio-%{version}
sed -i -e '/pytest-runner/d' setup.py

%build
%python_build

%install
%python_install
# do not install examples in generic folder, not needed really
%python_expand rm -r %{buildroot}%{$python_sitelib}/examples
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest arpeggio/tests

%files %{python_files}
%doc README.rst CHANGELOG.md AUTHORS.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed May  6 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not restrict pytest 5 as we work with it
* Thu Jan  2 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not install examples in site-packages/examples to avoid conflicts
* Sun Oct  6 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 1.9.2:
  - Added explicit Python versions in setup.py classifiers ([#65])
  - Removed pytest version constraint and fixed tests to work with both 5.x and
  older versions. ([#57])
  - https://github.com/textX/Arpeggio/issues/65
  - https://github.com/textX/Arpeggio/issues/57
- update to version 1.9.1:
  - Lowered the required pytest version for running tests as we'll still support
  Python 2.7 until its EOL.
  - Fixed problem with `OrderedChoice` which hasn't maintained `skipws/ws`
  state. [#61]
  Reported at https://github.com/textX/textX/issues/205
  - Various fixes in the docs, docstrings and examples. Thanks mcepl@GitHub and
  zetaraku@GitHub.
  - docs support for different versions thanks to
  [mike](https://github.com/jimporter/mike)
  - https://github.com/textX/Arpeggio/issues/61
- remvove imp-to-importlib.patch, integrated upstream
* Fri Jul 19 2019 Tomáš Chvátal <tchvatal@suse.com>
- Restrict the pytest5 for now, issue reported upstream
* Wed Jun 12 2019 Matej Cepl <mcepl@suse.com>
- Update imp-to-importlib.patch to deal with irregular imports as well.
* Tue Jun 11 2019 Matej Cepl <mcepl@suse.com>
- It's better to fix a bug, than to switch off test. Add
  imp-to-importlib.patch replacing use of imp library in Python
  3 with importlib. gh#textX/Arpeggio#54
* Tue Jun 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Skip one randomly failing test
* Tue Mar  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.0:
  * Added `extra_info` param to `Terminal` for additional information.
    Used by textX.
- Switch to github tarball for tests and license content
- Drop merged patch fix-setup-encoding.patch
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Jul  7 2018 sebix+novell.com@sebix.at
- add fix-setup-encoding.patch to fix setup.py encoding issue
- update to version 1.8.0:
  - Fixed issue #43.
  * Backward incompatible change* for cleanpeg comment syntax.
  Please see: https://github.com/igordejanovic/Arpeggio/issues/43
  - Added `file` parser param used for `DebugPrinter` to allow the
  output stream to be changed from stdout. This allows doctests to
  continue to work. Thanks ianmmoir@GitHub.
- update to version 1.7.1:
  - Fixed bug in comment parsing optimization.
- update to version 1.7:
  - Added re_flag parameter to RegExMatch constructor. Thanks Aluriak@GitHub.
  - Fix in grammar language docs. Thanks schmittlauch@GitHub.
  - Small fixes in examples.
* Mon Aug 28 2017 sebix+novell.com@sebix.at
- intial package
